Subject: Re: bug#58249: [PATCH] gnu: packages: qt: Fix qtbase-5 not building on gcc 11 or later
From: Maxim Cournoyer <[email-masked]>
To: Mája Tomášek <[email-masked]>
Cc: [email-masked]
Date: Thu, 26 Jan 2023 11:40:30 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Mája Tomášek <[email-masked]> writes:

> Maxim Cournoyer <[email-masked]> writes:
>
>> Hello,
>>
>> Mája Tomášek <[email-masked]> writes:
>>
>> [...]
>>
>>> I don't know, it is a hidden bug that is likely to cause quite a big
>>> problem once Guix moves to GCC 11 or later, as many apps probably won't update to
>>> Qt 6.
>>
>> The best solution may be to update our Qt 5 version; would you like to
>> give it a try?  Other than being a lot of new hashes to update (for each
>> qt5 component), it should be relatively low risk (with regards to
>> breaking existing Qt 5 packages).
>>
>> -- 
>> Thanks,
>> Maxim
>
> I haved looked into it, and guix has already shipped a patched version
> :)
>
> This can be closed now.
> Maya

Great, thanks for the follow-up.

I'm closing this by replying to [email-masked] in CC.

-- 
Thanks,
Maxim